package ld5_34;

import jade.core.Agent;

public class VerySimple extends Agent {
    private void print(String data, String elgesenosId) {
        if (elgesenosId != null) {
            System.out.println("A[" + getLocalName() + " | " + elgesenosId + "] " + data);
        } else {
            System.out.println("A[" + getLocalName() + "] " + data);
        }
    }
    @Override
    protected void setup() {
        print("Hello, VerrySimple agent", null);
    }
    @Override  
    public void takeDown() 
    {     
        print("VerrySimple agent, taken down", null);
    } 
}